import 'dart:math';
import 'package:flutter/material.dart';

void main() {
  runApp(TestApplication());
}

class TestApplication extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Test Application',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: MainPage(),
    );
  }
}

class MainPage extends StatefulWidget {
  @override
  _MainPageState createState() => _MainPageState();
}

class _MainPageState extends State<MainPage> {
  double _size = 100.0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Test Application'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: <Widget>[
            GestureDetector(
              onTap: () {
                final random = Random();
                setState(() {
                  _size = random.nextInt(200).toDouble() + 100;
                });
              },
              child: AnimatedContainer(
                duration: Duration(seconds: 1),
                width: _size,
                height: _size,
                child: Image.asset('assets/sample.png'),
                curve: Curves.fastOutSlowIn,
              ),
            ),
          ],
        ),
      ),
    );
  }
}